For the complete documentation index, see llms.txt. This page is also available as Markdown.

Manage funds to a specific wallet

This endpoint allows you to add or remove funds from a specific wallet. You can top up wallet balances using a payment card or adjust funds as needed for your business operations. Each request include

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint allows you to add or remove funds from a specific wallet. You can top up wallet balances using a payment card or adjust funds as needed for your business operations. Each request includes safety features to prevent duplicate transactions."

Manage funds to a specific wallet

Manage funds to a specific wallet

post
Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Path parameters
walletIdstringRequired
Body
idempotencyTokenstringOptional

A unique identifier to ensure the operation is idempotent. It's recommended to use a UUIDv4 for this purpose.

Responses
200

A successful response.

application/json
post/v2/wallets/{walletId}:manage-funds
POST /v2/wallets/{walletId}:manage-funds HTTP/1.1
Host: billing.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "funds": {
    "amount": "text",
    "cardId": "text"
  },
  "idempotencyToken": "text"
}
{
  "walletBalance": {
    "availableBalance": "text",
    "cappedAvailableBalance": "text",
    "currentBalance": "text"
  }
}